<%@ Page Language="C#" Debug="true" %>
<%@ import Namespace="System.Data.SqlClient" %>
<%@ import Namespace="System.Data" %>
<%@ import Namespace="System.IO" %>
<script runat="server">

    void Page_Load(object sender, EventArgs e)
    {
        if(!Page.IsPostBack)
           pnDB.Visible=false;
    
    }
    
    void btnConnect_Click(object sender, EventArgs e)
    {
        lConnect.Text="";
        string ConnectionString=GetConnectionString();
        //ConnectionString+="database=Master;";
    
        try
        {
            System.Data.IDbConnection dbConnection = new System.Data.SqlClient.SqlConnection(ConnectionString);
            dbConnection.Open();
            dbConnection.Close();
        }
        catch (Exception ex)
        {
            lConnect.Text=ex.Message;
            return;
        }
    
        pnDB.Visible=true;
        btnConnect.Enabled=false;
        tbUser.Enabled=false;
        tbPassword.Enabled=false;
        cbWinAuth.Enabled=false;
    
        BindSelectDB();
    }
    
    string GetConnectionString()
    {
        string ConnectionString="";
        ConnectionString+="Server="+tbServer.Text+";";
    
        if(cbWinAuth.Checked)
            ConnectionString+="trusted_connection=true;";
        else
        {
            ConnectionString+="uid="+ tbUser.Text +";";
            ConnectionString+="pwd="+ tbPassword.Text +";";
        }
    
        return ConnectionString;
    }
    
    void BindSelectDB()
    {
        string ConnectionString=GetConnectionString();
        ConnectionString+="database=Master;";
        SqlConnection connection = new System.Data.SqlClient.SqlConnection(ConnectionString);
    
        String SqlQuery = "SELECT name FROM master.dbo.sysdatabases WHERE name NOT IN ('Master','Model','msdb','tempdb') ";
        connection.Open();
        SqlCommand ObjCommand = new SqlCommand(SqlQuery, connection);
        SqlDataReader ObjReader = ObjCommand.ExecuteReader(CommandBehavior.CloseConnection);
        ddlSelectDB.DataSource = ObjReader;
        ddlSelectDB.DataBind();
        return;
    }
    
    void cbWinAuth_CheckedChanged(object sender, EventArgs e)
    {
        tbUser.Enabled=!cbWinAuth.Checked;
        tbPassword.Enabled=!cbWinAuth.Checked;
    }
    
    void rbSelectDB_CheckedChanged(object sender, EventArgs e)
    {
        ddlSelectDB.Enabled = rbSelectDB.Checked;
        tbNewDBName.Enabled = rbCreateDB.Checked;
        BindSelectDB();
    }
    
    void rbCreateDB_CheckedChanged(object sender, EventArgs e)
    {
        ddlSelectDB.Enabled = rbSelectDB.Checked;
        tbNewDBName.Enabled = rbCreateDB.Checked;
    }
    
    
    void btnInstall_Click(object sender, EventArgs e)
    {
        lDbMsg.Text="";
        //First create the database
        if(!CreateDB()) return;
    
    
        //Now add the db scema
        string ConnectionString=GetConnectionString();
        ConnectionString+="database="+ tbNewDBName.Text +";";
        SqlConnection connection = new System.Data.SqlClient.SqlConnection(ConnectionString);
        connection.Open();
    
        String SqlQuery = "";
        String sqlFilePath=Server.MapPath(Request.ApplicationPath+"/nkcms.sql");
        if(!File.Exists(sqlFilePath))
        {
            lDbMsg.Text="File '"+sqlFilePath+"' not found.";
            return;
        }
        StreamReader sr = File.OpenText(sqlFilePath);
        SqlQuery = sr.ReadToEnd();
        sr.Close();
    
        SqlCommand ObjCommand = new SqlCommand(SqlQuery, connection);
        ObjCommand.ExecuteNonQuery();
        connection.Close();
    
        return;
    }
    
    bool CreateDB()
    {
        if(!rbCreateDB.Checked) return true;
    
        if(tbNewDBName.Text=="")
        {
            lDbMsg.Text="DB name is not defined.";
            return false;
        }
    
        try
        {
            string ConnectionString=GetConnectionString();
            SqlConnection connection = new System.Data.SqlClient.SqlConnection(ConnectionString);
            connection.Open();
    
            String SqlQuery = "CREATE DATABASE ["+tbNewDBName.Text+"] COLLATE SQL_Latin1_General_CP1_CI_AS";
            SqlCommand ObjCommand = new SqlCommand(SqlQuery, connection);
            ObjCommand.ExecuteNonQuery();
            connection.Close();
        }
        catch(SqlException ex)
        {
            lDbMsg.Text=ex.Message;
            return false;
        }
    
    
        return true;
    }

</script>
<html>
<head>
</head>
<body style="FONT-FAMILY: arial">
    <h2>nkCMS database installation 
    </h2>
    <hr size="1" />
    <form runat="server">
        <fieldset style="WIDTH: 320px">
            <legend>
                <p>
                    Server 
                </p>
            </legend>
            <table width="300">
                <tbody>
                    <tr>
                        <td>
                            Server:</td>
                        <td>
                            <asp:TextBox id="tbServer" runat="server">localhost</asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            User:</td>
                        <td>
                            <asp:TextBox id="tbUser" runat="server" Enabled="False">sa</asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            Password:<br />
                        </td>
                        <td>
                            <asp:TextBox id="tbPassword" runat="server" Enabled="False"></asp:TextBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <asp:CheckBox id="cbWinAuth" runat="server" AutoPostBack="True" OnCheckedChanged="cbWinAuth_CheckedChanged" Checked="True" Text="Windows Authentication"></asp:CheckBox>
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <asp:Button id="btnConnect" onclick="btnConnect_Click" runat="server" Text="Connect"></asp:Button>
                        </td>
                    </tr>
                </tbody>
            </table>
            <p>
                <asp:Label id="lConnect" runat="server" forecolor="Maroon"></asp:Label>
            </p>
        </fieldset>
        <p>
        </p>
        <p>
            <asp:Panel id="pnDB" runat="server" Height="100px" Width="305px"></asp:Panel>
        </p>
        <fieldset style="WIDTH: 320px">
            <legend>Database</legend>
            <table width="300">
                <tbody>
                    <tr>
                        <td>
                            <asp:RadioButton id="rbSelectDB" runat="server" AutoPostBack="True" OnCheckedChanged="rbSelectDB_CheckedChanged" Text="Select:" GroupName="SelCrDB"></asp:RadioButton>
                        </td>
                        <td>
                            <asp:DropDownList id="ddlSelectDB" runat="server" Enabled="False" Width="150px" DataTextField="name" DataValueField="name"></asp:DropDownList>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:RadioButton id="rbCreateDB" runat="server" AutoPostBack="True" OnCheckedChanged="rbCreateDB_CheckedChanged" Checked="True" Text="Create:" GroupName="SelCrDB"></asp:RadioButton>
                        </td>
                        <td>
                            <asp:TextBox id="tbNewDBName" runat="server" Width="150px">nkCMS</asp:TextBox>
                        </td>
                    </tr>
                </tbody>
            </table>
            <asp:Button id="Button2" onclick="btnInstall_Click" runat="server" Text="Install"></asp:Button>
            <p>
                <asp:Label id="lDbMsg" runat="server" forecolor="Maroon"></asp:Label>
            </p>
        </fieldset>
        <p>
        </p>
    </form>
</body>
</html>
