﻿exec sp_dboption N'nkCMS', N'autoclose', N'false';

exec sp_dboption N'nkCMS', N'bulkcopy', N'false';

exec sp_dboption N'nkCMS', N'trunc. log', N'false';

exec sp_dboption N'nkCMS', N'torn page detection', N'true';

exec sp_dboption N'nkCMS', N'read only', N'false';

exec sp_dboption N'nkCMS', N'dbo use', N'false';

exec sp_dboption N'nkCMS', N'single', N'false';

exec sp_dboption N'nkCMS', N'autoshrink', N'false';

exec sp_dboption N'nkCMS', N'ANSI null default', N'false';

exec sp_dboption N'nkCMS', N'recursive triggers', N'false';

exec sp_dboption N'nkCMS', N'ANSI nulls', N'false';

exec sp_dboption N'nkCMS', N'concat null yields null', N'false';

exec sp_dboption N'nkCMS', N'cursor close on commit', N'false';

exec sp_dboption N'nkCMS', N'default to local cursor', N'false';

exec sp_dboption N'nkCMS', N'quoted identifier', N'false';

exec sp_dboption N'nkCMS', N'ANSI warnings', N'false';

exec sp_dboption N'nkCMS', N'auto create statistics', N'true';

exec sp_dboption N'nkCMS', N'auto update statistics', N'true';

if( ( (@@microsoftversion / power(2, 24) = 8) and (@@microsoftversion & 0xffff >= 724) ) or ( (@@microsoftversion / power(2, 24) = 7) and (@@microsoftversion & 0xffff >= 1082) ) )
	exec sp_dboption N'nkCMS', N'db chaining', N'false';

CREATE TABLE [nkCMS_Block] (
	[ID_Block] [int] IDENTITY (1, 1) NOT NULL ,
	[ID_BlockParent] [int] NOT NULL ,
	[ID_BlockType] [int] NOT NULL ,
	[BlockName] [nvarchar] (50) NOT NULL ,
	[BlockOrder] [int] NOT NULL ,
	[Visible] [bit] NOT NULL ,
	[IsDirectory] [bit] NOT NULL ,
	[CreatedDate] [datetime] NOT NULL ,
	[CreatedBy_ID_User] [int] NOT NULL
) ON [PRIMARY];


CREATE TABLE [nkCMS_BlockType] (
	[ID_BlockType] [int] IDENTITY (1, 1) NOT NULL ,
	[BlockTypeName] [nvarchar] (50) NOT NULL ,
	[PartOfParent] [bit] NOT NULL ,
	[ID_Template] [int] NOT NULL ,
	[HandleAs] [int] NOT NULL
) ON [PRIMARY];


CREATE TABLE [nkCMS_Content] (
	[ID_Content] [int] IDENTITY (1, 1) NOT NULL ,
	[FileName] [nvarchar] (50) NOT NULL ,
	[Visible] [bit] NOT NULL ,
	[ID_Block] [int] NOT NULL
) ON [PRIMARY];



CREATE TABLE [nkCMS_ContentFile] (
	[ID_ContentFile] [int] IDENTITY (1, 1) NOT NULL ,
	[ID_Content] [int] NOT NULL ,
	[ID_File] [int] NOT NULL
) ON [PRIMARY];



CREATE TABLE [nkCMS_ContentLanguage] (
	[ID_Content] [int] NOT NULL ,
	[ID_Language] [int] NOT NULL ,
	[Visible] [bit] NOT NULL
) ON [PRIMARY];




CREATE TABLE [nkCMS_File] (
	[ID_File] [int] IDENTITY (1, 1) NOT NULL ,
	[Filename] [nvarchar] (50) NOT NULL ,
	[ID_FileType] [int] NOT NULL
) ON [PRIMARY];



CREATE TABLE [nkCMS_FileType] (
	[ID_FileType] [int] NOT NULL ,
	[FileTypeName] [nvarchar] (50) NOT NULL
) ON [PRIMARY];



CREATE TABLE [nkCMS_Language] (
	[ID_Language] [int] IDENTITY (1, 1) NOT NULL ,
	[LanguageName] [nvarchar] (50) NOT NULL ,
	[Codepage] [nvarchar] (50) NOT NULL ,
	[LanguageCode] [nvarchar] (50) NOT NULL
) ON [PRIMARY];



/****** Object:  Table [dbo].[nkCMS_Permission]    Script Date: 24/9/2004 5:21:23 μμ ******/
CREATE TABLE [nkCMS_Permission] (
	[ID_Permission] [int] IDENTITY (1, 1) NOT NULL ,
	[PermisionName] [nvarchar] (50) NOT NULL
) ON [PRIMARY];



/****** Object:  Table [dbo].[nkCMS_Property]    Script Date: 24/9/2004 5:21:23 μμ ******/
CREATE TABLE [nkCMS_Property] (
	[ID_Property] [int] IDENTITY (1, 1) NOT NULL ,
	[ID_BlockType] [int] NOT NULL ,
	[PropertyName] [nvarchar] (50) NOT NULL ,
	[IsRequired] [bit] NOT NULL
) ON [PRIMARY];



/****** Object:  Table [dbo].[nkCMS_PropertyContent]    Script Date: 24/9/2004 5:21:23 μμ ******/
CREATE TABLE [nkCMS_PropertyContent] (
	[ID_Property_BlockType] [int] IDENTITY (1, 1) NOT NULL ,
	[ID_Property] [int] NOT NULL ,
	[ID_Content] [int] NOT NULL ,
	[PropertyValue] [nvarchar] (250) NOT NULL
) ON [PRIMARY];



/****** Object:  Table [dbo].[nkCMS_Template]    Script Date: 24/9/2004 5:21:23 μμ ******/
CREATE TABLE [nkCMS_Template] (
	[ID_Template] [int] IDENTITY (1, 1) NOT NULL ,
	[TemplateName] [nvarchar] (50) NOT NULL
) ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_User]    Script Date: 24/9/2004 5:21:23 μμ ******/
CREATE TABLE [nkCMS_User] (
	[ID_User] [int] NOT NULL ,
	[UserName] [varchar] (50) NOT NULL ,
	[UserPassoword] [nvarchar] (50) NOT NULL ,
	[UserEmail] [nvarchar] (50) NOT NULL ,
	[Firstname] [nvarchar] (50) NOT NULL ,
	[Surname] [nvarchar] (50) NOT NULL
) ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_UserPermission]    Script Date: 24/9/2004 5:21:23 μμ ******/
CREATE TABLE [nkCMS_UserPermission] (
	[ID_User_Permission] [int] IDENTITY (1, 1) NOT NULL ,
	[ID_User] [int] NOT NULL ,
	[ID_Permission] [int] NOT NULL ,
	[ID_Block] [int] NOT NULL
) ON [PRIMARY]
;




/* Data for table nkCMS_FileType */
/* Data for table nkCMS_Language */
INSERT [nkCMS_Language] ([LanguageName], [Codepage], [LanguageCode]) VALUES ('Ελληνικά', '1253', 'EL')
INSERT [nkCMS_Language] ([LanguageName], [Codepage], [LanguageCode]) VALUES ('English', '1252', 'EN')
;



/****** Object:  Table [dbo].[nkCMS_Block]    Script Date: 24/9/2004 5:21:26 μμ ******/
ALTER TABLE [nkCMS_Block] WITH NOCHECK ADD
	CONSTRAINT [DF_nkCMS_Block_CreatedDate] DEFAULT (getdate()) FOR [CreatedDate],
	CONSTRAINT [DF_nkCMS_Block_ID_User] DEFAULT (0) FOR [CreatedBy_ID_User],
	CONSTRAINT [PK_nkCMS_Blocks] PRIMARY KEY  CLUSTERED
	(
		[ID_Block]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;



/****** Object:  Table [dbo].[nkCMS_BlockType]    Script Date: 24/9/2004 5:21:26 μμ ******/
ALTER TABLE [nkCMS_BlockType] WITH NOCHECK ADD
	CONSTRAINT [DF_nkCMS_BlockType_ID_Template] DEFAULT (0) FOR [ID_Template],
	CONSTRAINT [DF_nkCMS_BlockType_HandleAs] DEFAULT (3) FOR [HandleAs],
	CONSTRAINT [PK_nkCMS_BlockTypes] PRIMARY KEY  CLUSTERED
	(
		[ID_BlockType]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;



/****** Object:  Table [dbo].[nkCMS_Content]    Script Date: 24/9/2004 5:21:26 μμ ******/
ALTER TABLE [nkCMS_Content] WITH NOCHECK ADD
	CONSTRAINT [DF_nkCMS_BlockContents_Visible] DEFAULT (0) FOR [Visible],
	CONSTRAINT [PK_nkCMS_BlockContents] PRIMARY KEY  CLUSTERED
	(
		[ID_Content]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_ContentFile]    Script Date: 24/9/2004 5:21:26 μμ ******/
ALTER TABLE [nkCMS_ContentFile] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_Files_BlockContents] PRIMARY KEY  CLUSTERED
	(
		[ID_ContentFile]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_ContentLanguage]    Script Date: 24/9/2004 5:21:26 μμ ******/
ALTER TABLE [nkCMS_ContentLanguage] WITH NOCHECK ADD
	CONSTRAINT [DF_nkCMS_ContentLanguage_Visible] DEFAULT (0) FOR [Visible],
	CONSTRAINT [PK_nkCMS_ContentLanguage] PRIMARY KEY  CLUSTERED
	(
		[ID_Content],
		[ID_Language]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_File]    Script Date: 24/9/2004 5:21:26 μμ ******/
ALTER TABLE [nkCMS_File] WITH NOCHECK ADD
	CONSTRAINT [DF_nkCMS_File_ID_FileType] DEFAULT (0) FOR [ID_FileType],
	CONSTRAINT [PK_nkCMS_Files] PRIMARY KEY  CLUSTERED
	(
		[ID_File]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_FileType]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_FileType] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_FileTypes] PRIMARY KEY  CLUSTERED
	(
		[ID_FileType]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_Language]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_Language] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_Languages] PRIMARY KEY  CLUSTERED
	(
		[ID_Language]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_Permission]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_Permission] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_Permissions] PRIMARY KEY  CLUSTERED
	(
		[ID_Permission]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_Property]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_Property] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_Properties] PRIMARY KEY  CLUSTERED
	(
		[ID_Property]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_PropertyContent]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_PropertyContent] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_Properties_BlockContents] PRIMARY KEY  CLUSTERED
	(
		[ID_Property_BlockType]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_Template]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_Template] WITH NOCHECK ADD
	CONSTRAINT [DF_nkCMS_Template_TemplateName] DEFAULT ('') FOR [TemplateName],
	CONSTRAINT [PK_nkCMS_Template] PRIMARY KEY  CLUSTERED
	(
		[ID_Template]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_User]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_User] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_Users] PRIMARY KEY  CLUSTERED
	(
		[ID_User]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_UserPermission]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_UserPermission] WITH NOCHECK ADD
	CONSTRAINT [PK_nkCMS_Users_Permissions] PRIMARY KEY  CLUSTERED
	(
		[ID_User_Permission]
	) WITH  FILLFACTOR = 90  ON [PRIMARY]
;


/****** Object:  Table [dbo].[nkCMS_Block]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_Block] ADD
	CONSTRAINT [FK_nkCMS_Blocks_nkCMS_BlockTypes] FOREIGN KEY
	(
		[ID_BlockType]
	) REFERENCES [nkCMS_BlockType] (
		[ID_BlockType]
	) ON UPDATE CASCADE
;




/****** Object:  Table [dbo].[nkCMS_ContentFile]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_ContentFile] ADD
	CONSTRAINT [FK_nkCMS_Files_BlockContents_nkCMS_Files] FOREIGN KEY
	(
		[ID_File]
	) REFERENCES [nkCMS_File] (
		[ID_File]
	) ON DELETE CASCADE  ON UPDATE CASCADE
;


/****** Object:  Table [dbo].[nkCMS_Property]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_Property] ADD
	CONSTRAINT [FK_nkCMS_Properties_nkCMS_BlockTypes] FOREIGN KEY
	(
		[ID_BlockType]
	) REFERENCES [nkCMS_BlockType] (
		[ID_BlockType]
	) ON DELETE CASCADE  ON UPDATE CASCADE
;


/****** Object:  Table [dbo].[nkCMS_PropertyContent]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_PropertyContent] ADD
	CONSTRAINT [FK_nkCMS_Properties_BlockContents_nkCMS_BlockContents] FOREIGN KEY
	(
		[ID_Content]
	) REFERENCES [nkCMS_Content] (
		[ID_Content]
	) ON DELETE CASCADE ,
	CONSTRAINT [FK_nkCMS_Properties_BlockContents_nkCMS_Properties] FOREIGN KEY
	(
		[ID_Property]
	) REFERENCES [nkCMS_Property] (
		[ID_Property]
	) ON DELETE CASCADE  ON UPDATE CASCADE
;



/****** Object:  Table [dbo].[nkCMS_UserPermission]    Script Date: 24/9/2004 5:21:27 μμ ******/
ALTER TABLE [nkCMS_UserPermission] ADD
	CONSTRAINT [FK_nkCMS_Users_Permissions_nkCMS_Blocks] FOREIGN KEY
	(
		[ID_Block]
	) REFERENCES [nkCMS_Block] (
		[ID_Block]
	) ON DELETE CASCADE  ON UPDATE CASCADE ,
	CONSTRAINT [FK_nkCMS_Users_Permissions_nkCMS_Permissions] FOREIGN KEY
	(
		[ID_Permission]
	) REFERENCES [nkCMS_Permission] (
		[ID_Permission]
	) ON DELETE CASCADE  ON UPDATE CASCADE ,
	CONSTRAINT [FK_nkCMS_Users_Permissions_nkCMS_Users] FOREIGN KEY
	(
		[ID_User]
	) REFERENCES [nkCMS_User] (
		[ID_User]
	) ON DELETE CASCADE  ON UPDATE CASCADE
;

